const middleware = (schema) => (req, res, next) => {
  if(!schema.hasOwnProperty('validate')) return next('Schema is not provided.')
  const { error } = schema.validate(req.body);
  if (error === null) next();
  else {
    const errors = error.details.map((e) => e.message);
    res.status(422).send({ errors });
  }
};
module.exports = middleware;
